commit:     4d59b8008f92bc7fafae4bba3944d1612c4a3267
Author:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Sun Aug  6 05:21:06 2017 +0000
Commit:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Sun Aug  6 05:21:06 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=4d59b800

dev-ruby/capybara: add 2.15.1

Package-Manager: Portage-2.3.6, Repoman-2.3.2

 dev-ruby/capybara/Manifest               |  1 +
 dev-ruby/capybara/capybara-2.15.1.ebuild | 50 ++++++++++++++++++++++++++++++++
 2 files changed, 51 insertions(+)

diff --git a/dev-ruby/capybara/Manifest b/dev-ruby/capybara/Manifest
index b412f2cadfa..b997cf1643d 100644
--- a/dev-ruby/capybara/Manifest
+++ b/dev-ruby/capybara/Manifest
@@ -1,3 +1,4 @@
 DIST capybara-1.1.4.gem 72192 SHA256 
33073d7e4920a3e74c61ec46d1afe655eb0f3361187113c5e146df498e4611ed SHA512 
102738031281d0fabd645fa6d941cf0a9ddd56f90d53d7cc1c8a7b03a37b6af8f4cddd178e6fc07d6751a539a5039cf20502eabdd49e8001793601bb312b47a3
 WHIRLPOOL 
81eff318acfdc0806c9f8d4e212068edd57694d44db1e29bbefaa7a4db162f3a2354374d6ab97ad7c2372ff9e6f6bb864ed483050facad5c298c2223a39c63cc
 DIST capybara-2.13.0.gem 257024 SHA256 
09d574e170b8042914c08630382ed784694c1b2bd1c04af482fbfd71cd56994d SHA512 
35e096fa4aed8fea1456d3271bb0dbeb14215ab856a52071243e76d27aaa25f34b256edf8e391cfe024368555aeb2b68dafc896269d231c01e58c247e7a10ac2
 WHIRLPOOL 
723a4090cc4a438c45c23a491967043e7a2a9a996df6097b88ce7dd7eb69697f19fdbaa63d4b12c7dea317dbd90456c5ae8dde89899d1888fe0633675daa231f
 DIST capybara-2.14.4.gem 265728 SHA256 
bbdfd40c542c790dab81032e23bbc7438a562bbe440b4712abcad67f10d17d7d SHA512 
d3ebbd8d96e4d2026327b1c70ff723225ce052fff510a909111b8cc7e02b12fec9e00acddc0bc2565371cc5eb0b590abef43d42a99c3938a929ea25930fdefd1
 WHIRLPOOL 
e4829ed0895af9b80c936ffe7f274e0637ab0b1cc2e790e261089fae14a0f8544fd178409e1420527d5eec69104a96aa4ab87e0f6f088e94bad9371e4c260ce2
+DIST capybara-2.15.1.gem 270336 SHA256 
22718339815ad16a26b9832f496f8c9fdee41af8fe941e2283eee6d03287502d SHA512 
03295b5008889523930898b51d943cd0976e0c3a771acb2d54a899009d77ab8248d94153089283cb73813e3397e656c3bc1ee7deee0d0cd001f8e15a79c45119
 WHIRLPOOL 
f246bce1ff16f748f3628c8382e0c6a520e56a90b36ed4e8cf3432ab9de79711890952356b412f3e23b0a1d9526690955c706c4b061c94f09ceb2425035d8497

diff --git a/dev-ruby/capybara/capybara-2.15.1.ebuild 
b/dev-ruby/capybara/capybara-2.15.1.ebuild
new file mode 100644
index 00000000000..e997f6df31e
--- /dev/null
+++ b/dev-ruby/capybara/capybara-2.15.1.ebuild
@@ -0,0 +1,50 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+USE_RUBY="ruby21 ruby22 ruby23 ruby24"
+
+RUBY_FAKEGEM_EXTRADOC="History.md README.md"
+
+# Rake tasks are not distributed in the gem.
+RUBY_FAKEGEM_TASK_DOC=""
+RUBY_FAKEGEM_TASK_TEST=""
+
+inherit virtualx ruby-fakegem
+
+DESCRIPTION="Capybara aims to simplify the process of integration testing Rack 
applications"
+HOMEPAGE="https://github.com/jnicklas/capybara";
+LICENSE="MIT"
+
+KEYWORDS="~amd64"
+SLOT="2"
+IUSE="test"
+
+DEPEND="${DEPEND} test? ( www-client/firefox )"
+
+ruby_add_bdepend "test? ( dev-ruby/rspec:3 dev-ruby/launchy 
>=dev-ruby/selenium-webdriver-2.0 dev-ruby/sinatra )"
+
+ruby_add_rdepend "
+       dev-ruby/addressable
+       >=dev-ruby/mini_mime-0.1.3
+       >=dev-ruby/nokogiri-1.3.3
+       >=dev-ruby/rack-1.0.0:*
+       >=dev-ruby/rack-test-0.5.4:*
+       >=dev-ruby/xpath-2.0.0:2"
+
+all_ruby_prepare() {
+       sed -i -e '/bundler/d' -e '/pry/d' -e '1igem "sinatra"' 
spec/spec_helper.rb || die
+
+       # Avoid window-manager specific tests (sizes are specific for fluxbox)
+       sed -i -e '/#maximize/,/^  end/ s:^:#:' 
lib/capybara/spec/session/window/window_spec.rb || die
+
+       # Avoid spec that requires unpackaged geckodriver
+       sed -i -e '/register_server/,/^  end/ s:^:#:' spec/capybara_spec.rb || 
die
+
+       # Avoid test dependency on puma server for now
+       sed -i -e '/should have :puma registered/,/^    end/ s:^:#:' 
spec/capybara_spec.rb || die
+}
+
+each_ruby_test() {
+       virtx ${RUBY} -Ilib -S rspec-3 spec || die "Tests failed."
+}

Reply via email to